# Method: accounts.products.get

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/get#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/get#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/get#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/get#try-it)

Retrieves the processed product from your Merchant Center account.

After inserting, updating, or deleting a product input, it may take several minutes before the updated final product can be retrieved.

### HTTP request

`GET https://merchantapi.googleapis.com/products/v1/{name=accounts/*/products/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the product. Format: `accounts/{account}/products/{product}` The `{product}` segment is a unique identifier for the product. This identifier must be unique within a merchant account and generally follows the structure: `contentLanguage~feedLabel~offerId`. Example: `en~US~sku123` For legacy local products, the structure is: `local~contentLanguage~feedLabel~offerId`. Example: `local~en~US~sku123` The format of the `{product}` segment in the URL is automatically detected by the server, supporting two options: 1. **Encoded Format** : The `{product}` segment is an unpadded base64url encoded string (RFC 4648 Section 5). The decoded string must result in the `contentLanguage~feedLabel~offerId` structure. This encoding MUST be used if any part of the product identifier (like `offerId`) contains characters such as `/`, `%`, or `~`. - Example: To represent the product ID `en~US~sku/123`, the `{product}` segment must be the unpadded base64url encoding of this string, which is `ZW5-VVN-c2t1LzEyMw`. The full resource name for the product would be `accounts/123/products/ZW5-VVN-c2t1LzEyMw`. 2. **Plain Format** : The `{product}` segment is the tilde-separated string `contentLanguage~feedLabel~offerId`. This format is suitable only when `contentLanguage`, `feedLabel`, and `offerId` do not contain URL-problematic characters like `/`, `%`, or `~`. We recommend using the **Encoded Format** for all product IDs to ensure correct parsing, especially those containing special characters. The presence of tilde (`~`) characters in the `{product}` segment is used to differentiate between the two formats. Note: For calls to the v1beta version, the plain format is `channel~contentLanguage~feedLabel~offerId`, for example: `accounts/123/products/online~en~US~sku123`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products#Product`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).